Package org.drinkless.tdlib

# Class TdApi.AuthenticationCodeTypeFlashCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthenticationCodeType
org.drinkless.tdlib.TdApi.AuthenticationCodeTypeFlashCall

Enclosing class:
  `TdApi`

public static class TdApi.AuthenticationCodeTypeFlashCall extends TdApi.AuthenticationCodeType
An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthenticationCodeType

  `TdApi.AuthenticationCodeType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `pattern`
  Pattern of the phone number from which the call will be made.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationCodeTypeFlashCall()`
  An authentication code is delivered by an immediately canceled call to the specified phone number.
  `AuthenticationCodeTypeFlashCall(String pattern)`
  An authentication code is delivered by an immediately canceled call to the specified phone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pattern

    public String pattern
    Pattern of the phone number from which the call will be made.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthenticationCodeTypeFlashCall

    public AuthenticationCodeTypeFlashCall()
    An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.

  - ### AuthenticationCodeTypeFlashCall

    public AuthenticationCodeTypeFlashCall(String pattern)
    An authentication code is delivered by an immediately canceled call to the specified phone number. The phone number that calls is the code that must be entered automatically.
    Parameters:
      `pattern` - Pattern of the phone number from which the call will be made.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthenticationCodeType`
    Returns:
      this.CONSTRUCTOR